# Create Exchange Order

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/exchange/create`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="248.1796875">Name</th><th width="155.67578125">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant ID</td></tr><tr><td>order_no<mark style="color:red;">*</mark></td><td>string</td><td>Order number. Globally unique.</td></tr><tr><td>account_no<mark style="color:red;">*</mark></td><td>string</td><td>Account Number</td></tr><tr><td>quote_id<mark style="color:red;">*</mark></td><td>long</td><td>Quote ID</td></tr><tr><td>sell_currency<mark style="color:red;">*</mark></td><td>string</td><td>Sell Currency</td></tr><tr><td>buy_currency<mark style="color:red;">*</mark></td><td>string</td><td>Buy Currency</td></tr><tr><td>tx_amount<mark style="color:red;">*</mark></td><td>string</td><td>Transaction Amount</td></tr><tr><td>fixed_side<mark style="color:red;">*</mark></td><td>string</td><td><p>Fixed side</p><p>Refer to <a href="/pages/KWTOgxW4eK3G0xiDj2ih">Fixed Side</a> Default value: SELL</p></td></tr></tbody></table>

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{
    },
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name                                            | Type        | Description                                                                               |
| ----------------------------------------------- | ----------- | ----------------------------------------------------------------------------------------- |
| order\_id<mark style="color:red;">\*</mark>     | long        | Order ID                                                                                  |
| merchant\_id<mark style="color:red;">\*</mark>  | long        | Merchant ID                                                                               |
| order\_no<mark style="color:red;">\*</mark>     | string      | Order number                                                                              |
| order\_status<mark style="color:red;">\*</mark> | integer     | <p>Order Status</p><p>Refer to <a href="/pages/SQgzx3g9EUhBdeJLOk4p">Order Status</a></p> |
| quote\_id<mark style="color:red;">\*</mark>     | long        | Quote ID                                                                                  |
| sell\_currency                                  | string      | Sell currency                                                                             |
| sell\_amount                                    | string      | Sell amount                                                                               |
| buy\_currency                                   | string      | Buy currency                                                                              |
| buy\_amount                                     | string      | Buy amount                                                                                |
| fixed\_side                                     | string      | <p>Fixed side</p><p>Refer to <a href="/pages/KWTOgxW4eK3G0xiDj2ih">FixedSide</a></p>      |
| conversion\_rate                                | string      | Conversion Rate                                                                           |
| transaction\_ids                                | list\<long> | Transaction ID                                                                            |
| error\_message                                  | string      | Error Message                                                                             |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/exchange/create' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/exchange/create-exchange-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
